Index: /extensions/ExtendedDescription/language/pl_PL/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/pl_PL/description.txt	(revision 11403)
+++ /extensions/ExtendedDescription/language/pl_PL/description.txt	(revision 11403)
@@ -0,0 +1,1 @@
+Umożliwia dodanie multi-językowych opisów, bannerów, NMB, nazw albumów, itp
Index: /extensions/ExtendedDescription/language/pl_PL/help.html
===================================================================
--- /extensions/ExtendedDescription/language/pl_PL/help.html	(revision 11403)
+++ /extensions/ExtendedDescription/language/pl_PL/help.html	(revision 11403)
@@ -0,0 +1,20 @@
+<h2>Rozszerzony Opis</h2>
+
+<h3>Multi-językowe opisy</h3>
+
+<p>Multi-językowe opisy umieszczami między tagami [lang=xx] i [/lang] ,gdzie xx to kod języka (na przykład en, es, fr, pl). Są również dwa specjalne tagi językowe : [lang=default] i [lang=all]</p>
+
+<ul>
+<li><b>Przykład</b>:<br>
+<br>
+<code>[lang=default] opis domyślny [/lang]<br>
+[lang=en] description in english [/lang]<br>
+[lang=de] deutsche Beschreibung [/lang]</code>
+</li>
+</ul>
+
+<p>Opis domyślny używany będzie wtedy, gdy opis nie będzie zdefiniowany tagami w języku połączonego użytkownika.
+Jeżeli tag [lang=default] nie będzie istniał, wtedy wszystko poza tagami [lang] będzie uważane jako domyślny opis.</p>
+
+<p><u>Specjalny tag językowy <i>all</i></u>: wszystko co jest zawarte w opisie w obrębie [lang=all] będzie wyświetlane w języku jakim domyślnie posługuje się połączony użytkownik.
+Głównie jest to przydatne do implementowania kodu HTML/JavaScript w opisie.</p>
Index: /extensions/ExtendedDescription/language/pl_PL/index.php
===================================================================
--- /extensions/ExtendedDescription/language/pl_PL/index.php	(revision 11403)
+++ /extensions/ExtendedDescription/language/pl_PL/index.php	(revision 11403)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/pl_PL/plugin.lang.php	(revision 11403)
+++ /extensions/ExtendedDescription/language/pl_PL/plugin.lang.php	(revision 11403)
@@ -0,0 +1,6 @@
+<?php
+
+$lang['ExtendedDesc_help'] = 'Użyj tagów Rozszerzonych Opisów';
+$lang['This category is redirected to %s'] = 'Ten album jest przekierowany do %s';
+
+?>