Index: /extensions/SmartAlbums/language/lv_LV/description.txt
===================================================================
--- /extensions/SmartAlbums/language/lv_LV/description.txt	(revision 11413)
+++ /extensions/SmartAlbums/language/lv_LV/description.txt	(revision 11413)
@@ -0,0 +1,1 @@
+Bez pūlēm izveido dinamiskus albūmus ar tagiem (iezīmēm), datumu un citierm kritērijiem
Index: /extensions/SmartAlbums/language/lv_LV/index.php
===================================================================
--- /extensions/SmartAlbums/language/lv_LV/index.php	(revision 11413)
+++ /extensions/SmartAlbums/language/lv_LV/index.php	(revision 11413)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/lv_LV/plugin.lang.php	(revision 11413)
+++ /extensions/SmartAlbums/language/lv_LV/plugin.lang.php	(revision 11413)
@@ -0,0 +1,38 @@
+<?php
+
+$lang['%d photos associated to album «%s»'] = '%d fotogrāfiju saistītas ar albūmu «%s»';
+$lang['No filter selected'] = 'Nav izvēlēts neviens no filtriem';
+$lang['No tag selected'] = 'Nav izvēlēts neviens no tagiem';
+$lang['Date string is malformed'] = 'Datuma rinda ir kļūdaina';
+$lang['Limit must be an integer'] = 'Limitam jābūt veselam skaitlim';
+$lang['You can\'t use more than one limit'] = 'Jūs nevarat lietot vairāk kā vienu limitu';
+$lang['All these tags'] = 'Visi šie tagi';
+$lang['One of these tags'] = 'Viens no šien tagiem';
+$lang['None of these tags'] = 'Neviens no šiem tagiem';
+$lang['Only these tags'] = 'Tikai šie tagi';
+$lang['Added on'] = 'Pievienots';
+$lang['Added before'] = 'Pievienots pirms';
+$lang['Added after'] = 'Pievienots pēc';
+$lang['Created on'] = 'Izveidots';
+$lang['Created before'] = 'Izveidots pirms';
+$lang['Created after'] = 'Izveidots pēc';
+$lang['%d photo'] = '%d foto';
+$lang['%d photos'] = '%d foto';
+$lang['tags filter'] = 'tagu filtrs';
+$lang['date filter'] = 'datuma filtrs';
+$lang['limit filter'] = 'limita filtrs';
+$lang['Add filters here'] = 'Pievienot filtrus šeit';
+$lang['This album is a SmartAlbum'] = 'Šis albūms ir SmartAlbum';
+$lang['Count'] = 'Skaits';
+$lang['Regenerate photos list of this SmartAlbum'] = 'Reģenerēt šī SmartAlbum fotogrāfiju sarakstu';
+$lang['Regenerate photos list of all SmartAlbums'] = 'Reģenerēt visu SmartAlbum fotogrāfiju sarakstu';
+$lang['Update albums on file upload'] = 'Update albums on file upload';
+$lang['All SmartAlbums'] = 'Visi SmartAlbumi';
+$lang['Add a SmartAlbum'] = 'Pievienot SmartAlbum';
+$lang['SmartAlbum deleted'] = 'SmartAlbum izdzēsts';
+$lang['SmartAlbum added'] = 'SmartAlbum pievienots';
+$lang['Only SmartAlbums are displayed on this page'] = 'Šajā lapā attēloti tikai  SmartAlbumi ';
+$lang['To order albums please go the main albums management page'] = 'Lai kārtotu albūmus, izvēlieties albūmu pārvaldības galveno lapu';
+$lang['Don\'t show this message again'] = 'Nerādīt šo ziņojumu atkārtoti';
+
+?>