Index: /extensions/gvideo/language/sv_SE/description.txt
===================================================================
--- /extensions/gvideo/language/sv_SE/description.txt	(revision 11424)
+++ /extensions/gvideo/language/sv_SE/description.txt	(revision 11424)
@@ -0,0 +1,1 @@
+Lägg till videor från Google Video, Dailymotion, Youtube, Wideo, Vimeo or Wat.
Index: /extensions/gvideo/language/sv_SE/index.php
===================================================================
--- /extensions/gvideo/language/sv_SE/index.php	(revision 11424)
+++ /extensions/gvideo/language/sv_SE/index.php	(revision 11424)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gvideo/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/sv_SE/plugin.lang.php	(revision 11424)
+++ /extensions/gvideo/language/sv_SE/plugin.lang.php	(revision 11424)
@@ -0,0 +1,47 @@
+<?php
+
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_conf'] = 'Konfiguration';
+$lang['py_addvideo'] = 'Lägg till video';
+$lang['py_filename'] = 'Filenamn';
+$lang['py_url'] = ' Videons URL';
+$lang['py_parent'] = 'Huvudkategori';
+$lang['py_thumb'] = 'Thumbnail';
+$lang['py_no_thumb'] = 'Ingen thumbnail';
+$lang['py_thumb_from_server'] = 'Ladda upp thumbnail från server';
+$lang['py_thumb_from_user'] = 'Ladda upp din egen thumbnail:';
+$lang['py_add_band'] = 'Lägg till band på sidan om din thumbnail';
+$lang['py_thumb_resize'] = 'Ändra storlek på thumbnail';
+$lang['py_width'] = 'Bredd';
+$lang['py_height'] = 'Höjd';
+$lang['py_start'] = 'Videostart';
+$lang['py_*'] = 'Obligatoriskt fält';
+$lang['py_autostart'] = 'Autostart';
+$lang['py_quality'] = 'Kvalitet';
+$lang['py_playermode'] = 'Spelarläge';
+
+
+// Infobulles
+$lang['pybulle_reference'] = "Här klistrar du in en länk till videon.<br>Du kan använda GoogleVideo, YouTube, DailyMotion, Wideo, Vimeo or Wat. Exampelvis:<br><br>- http://video.google.fr/videoplay?docid=4600755234172037942<br>- http://www.youtube.com/watch?v=eUvApC0bwUk<br>- http://www.dailymotion.com/video/x29fys_doorway<br>- http://www.wideo.fr/video/iLyROoaftYvl.html<br>- http://www.vimeo.com/1747316<br>- http://www.wat.tv/video/abcd.html";
+$lang['pybulle_start'] = "Välj videons startpunkt(i sekunder.<br>Detta val kan endast användas med GoogleVideo.";
+$lang['pybulle_categorie'] = "I vilken kategori vill du skapa videon: endast verkliga kategorier  listas. Om du vill länka filen till en virtuell kategori, så måste du länka efteråt.";
+$lang['pybulle_miniature'] = "Du kan skicka en thumbnail tillbaka till servern. Standardstorlek på thumbnails är 320x240 på Google Video, 320x240 på Dailymotion, 130x97 på Youtube, 154x114 på Wideo and 200x150 på Vimeo.<br><br> Eller så kan du ladda upp din egen thumbnail.<br><br> I båda fallen kan du ändra dimensionen på din thumbnail.";
+
+//Informationsmeddelanden eller fel
+$lang['py_error1'] = 'Ingen lokal site! Kan inte skapa videofilen.';
+$lang['py_error2'] = 'Kan inte spara. Formuläret är felaktigt ifyllt.';
+$lang['py_error3'] = 'Du måste fylla i obligatoriskt fält *';
+$lang['py_error5'] = 'Fel URL!';
+$lang['py_error6'] = 'filen "%s" finns redan.';
+$lang['py_error7'] = 'Kan inte skriva till filen "%s"';
+$lang['py_error8'] = 'Var vänlig kolla om ditt directory %s har rätttigheter(chmod).';
+$lang['py_error9'] = 'Fel när din thumbnail laddas upp eller storleksändras.';
+$lang['py_error11'] = 'En thumbnail med samma namn finns redan (%s)';
+$lang['py_error12'] = 'fältet thumbnail är inte ifyllt : din thumbnail kunde inte laddas upp.';
+$lang['py_info2'] = 'uppladdningen av din thumbnail lyckades';
+$lang['py_info3'] = 'Din videon är upplagd';
+$lang['py_info4'] = 'Konfiguration sparades.';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Visa video</a>.'; 
+
+
+?>