Index: /extensions/PaysonsPlaces/template/comment_list.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/comment_list.tpl	(revision 11435)
+++ /extensions/PaysonsPlaces/template/comment_list.tpl	(revision 11436)
@@ -1,17 +1,50 @@
-<link rel="stylesheet" type="text/css" href="../theme.css">{* $Id$ *}
-<ul class="thumbnailCategories">
+<link href="../theme.css" rel="stylesheet" type="text/css" />
+{* $Id$ *}
+{*
+		{if isset($comment.IN_EDIT)}
+		<a name="edit_comment"></a>
+		<form  method="post" action="{$comment.U_EDIT}" class="filter" id="editComment">
+			<fieldset>
+				<legend>{'Edit a comment'|@translate}</legend>
+				<label>{'Comment'|@translate}<textarea name="content" id="contenteditid" rows="5" cols="80">{$comment.CONTENT|@escape}</textarea></label>
+				<input type="hidden" name="key" value="{$comment.KEY}">
+				<input type="hidden" name="image_id" value="{$comment.IMAGE_ID|@default:$current.id}">
+				<input class="submit" type="submit" value="{'Submit'|@translate}">
+			</fieldset>
+		</form>
+		{else}
+<table>
+ 	<tr>
+    	<td id="des_m_p" class="padding">
+    		<div class="text" id="scroll">
+				
+                
+			</div>
+            {if isset($comment.U_DELETE) or isset($comment.U_VALIDATE) or isset($comment.U_EDIT) }
+
+		{/if}
+		</td>
+	</tr>
+</table>
+		
+		{/if}
+</fieldset>
+</li>
+{/foreach}
+</ul>
+
+		*}
+
+
+
+<ul class="thumbnailCategories"> 
 {foreach from=$comments item=comment name=comment_loop}
-<li>
-	<div class="thumbnailCategory {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}" id="coment_box"><div class="padding">
-	{if isset($comment.TN_SRC)}
-	<div class="illustration">
-		<a href="{$comment.U_PICTURE}">
-		<img src="{$comment.TN_SRC}" alt="{$comment.ALT}">
-		</a>
-	</div>
-	{/if}
-	<div class="description"{if isset($comment.IN_EDIT)} style="height:200px"{/if}>
-		{if isset($comment.U_DELETE) or isset($comment.U_VALIDATE) or isset($comment.U_EDIT) }
-		<div class="actions" style="float:right">
+	<li>
+	<fieldset>	
+		<legend>
+<b>{$comment.AUTHOR}</b> - {$comment.DATE}        	
+        	<spacer height="18" width="44">&nbsp;</spacer>
+        </legend>
+<div class="actions" style="float:right">
 		{if isset($comment.U_DELETE)}
 			<a href="{$comment.U_DELETE}" title="{'delete this comment'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');">
@@ -30,23 +63,30 @@
 		{/if}
 		</div>
-		{/if}
+<table>
+ <tbody>
+ <tr> 
 
-		<span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>
-		{if isset($comment.IN_EDIT)}
-		<a name="edit_comment"></a>
-		<form  method="post" action="{$comment.U_EDIT}" class="filter" id="editComment">
-			<fieldset>
-				<legend>{'Edit a comment'|@translate}</legend>
-				<label>{'Comment'|@translate}<textarea name="content" id="contenteditid" rows="5" cols="80">{$comment.CONTENT|@escape}</textarea></label>
-				<input type="hidden" name="key" value="{$comment.KEY}">
-				<input type="hidden" name="image_id" value="{$comment.IMAGE_ID|@default:$current.id}">
-				<input class="submit" type="submit" value="{'Submit'|@translate}">
-			</fieldset>
-		</form>
-		{else}
-		<blockquote><div>{$comment.CONTENT}</div></blockquote>
-		{/if}
-	</div>
-	</div></div>
+    <td class="padding">
+	{* image *}
+{if isset($comment.TN_SRC)}
+	<a href="{$comment.U_PICTURE}">
+		<img src="{$comment.TN_SRC}" alt="{$comment.ALT}">
+	</a>
+    {else}
+<spacer height="18" width="44">&nbsp;</spacer>
+{/if}	</td>
+
+	<td id="des_m_p" class="padding">
+    	<div class="text" id="scroll">
+        {* comment *}
+  {$comment.CONTENT}      
+        
+		</div>
+	</td>
+</tr>
+ 
+</tbody></table>
+</fieldset>	
+
 </li>
 {/foreach}
Index: /extensions/PaysonsPlaces/template/footer.tpl
===================================================================
--- /extensions/PaysonsPlaces/template/footer.tpl	(revision 11435)
+++ /extensions/PaysonsPlaces/template/footer.tpl	(revision 11436)
@@ -1,7 +1,6 @@
-<link rel="stylesheet" type="text/css" href="../theme.css">"
-
-</td>
+{*</td>
 		</tr>
-  <tr><td id="footer"><div id="copyright">
+  <tr>
+  <td id="footer"> *}<div id="copyright">Name:1
 {if isset($debug.TIME)}
 	{'Page generated in'|@translate} {$debug.TIME} ({$debug.NB_QUERIES} {'SQL queries in'|@translate} {$debug.SQL_TIME}) -
@@ -33,4 +32,10 @@
 {/if}
 
+{php}
+$this->assign('string1',str_replace($this->get_template_vars('string1'),'Name:1 ','1'));
+{/php}
+
+
+
 </td>
 	</tr>
Index: /extensions/PaysonsPlaces/theme.css
===================================================================
--- /extensions/PaysonsPlaces/theme.css	(revision 11435)
+++ /extensions/PaysonsPlaces/theme.css	(revision 11436)
@@ -347,2 +347,13 @@
 	border-left-width: thick;
 }
+#theImage img, #imageInfos img, .padding img, .wrap2 img {
+-webkit-box-shadow: 2px 2px 2px 2px #666666 ;
+-moz-box-shadow: 2px 2px 2px 2px #666666 ;
+box-shadow: 2px 2px 2px 2px #666666 ; 
+}
+
+.actions {
+-webkit-box-shadow: 0px 0px0px 0px ;
+-moz-box-shadow: 0px 0px 0px 0px ;
+box-shadow: 0px 0px 0px 0px ; 
+}
Index: /extensions/PaysonsPlaces/themeconf.inc.php
===================================================================
--- /extensions/PaysonsPlaces/themeconf.inc.php	(revision 11435)
+++ /extensions/PaysonsPlaces/themeconf.inc.php	(revision 11436)
@@ -2,5 +2,5 @@
 /*
 Theme Name: paysonsplaces
-Version: .0.0.2
+Version: 11379
 Description: 
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=557
@@ -8,4 +8,6 @@
 Author URI: http://tearran.deviantart.com
 */
+
+
 $themeconf = array(
   	'name'  => 'paysonsplaces',
@@ -44,3 +46,6 @@
 	}
 }
+
+
+
 ?>