Index: /extensions/SmartAlbums/admin/template/albums.tpl
===================================================================
--- /extensions/SmartAlbums/admin/template/albums.tpl	(revision 11450)
+++ /extensions/SmartAlbums/admin/template/albums.tpl	(revision 11451)
@@ -30,8 +30,4 @@
 <form id="categoryOrdering" action="{$F_ACTION}" method="post">
   <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
-
-  <div class="orderParams">
-    
-  </div>
 
   <ul class="categoryUl">
Index: /extensions/SmartAlbums/admin/template/config.tpl
===================================================================
--- /extensions/SmartAlbums/admin/template/config.tpl	(revision 11450)
+++ /extensions/SmartAlbums/admin/template/config.tpl	(revision 11451)
@@ -11,4 +11,5 @@
           <span class="property">{'Update albums on file upload'|@translate}</span>
           <input type="checkbox" name="update_on_upload" value="true" {if $update_on_upload}checked="checked"{/if}/>
+          {'(can cause slowdowns on admin pages)'|@translate}
         </label>
 			</li>
Index: /extensions/SmartAlbums/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/en_UK/plugin.lang.php	(revision 11450)
+++ /extensions/SmartAlbums/language/en_UK/plugin.lang.php	(revision 11451)
@@ -28,4 +28,5 @@
 $lang['Regenerate photos list of all SmartAlbums'] = 'Regenerate photos list of all SmartAlbums';
 $lang['Update albums on file upload'] = 'Update albums on file upload';
+$lang['(can cause slowdowns on admin pages)'] = '(can cause slowdowns on admin pages)';
 $lang['All SmartAlbums'] = 'All SmartAlbums';
 $lang['Add a SmartAlbum'] = 'Add a SmartAlbum';
@@ -33,5 +34,5 @@
 $lang['SmartAlbum added'] = 'SmartAlbum added';
 $lang['Only SmartAlbums are displayed on this page'] = 'Only SmartAlbums are displayed on this page';
-$lang['To order albums please go the main albums management page'] = 'To order albums please go the main albums management page';
+$lang['To order albums please go the main albums management page'] = 'To order albums please go the main albums <a href="admin.php?page=cat_list">management page</a>';
 $lang['Don\'t show this message again'] = 'Don\'t show this message again';
 
Index: /extensions/SmartAlbums/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/fr_FR/plugin.lang.php	(revision 11450)
+++ /extensions/SmartAlbums/language/fr_FR/plugin.lang.php	(revision 11451)
@@ -28,4 +28,5 @@
 $lang['Regenerate photos list of all SmartAlbums'] = 'Régénérer les photos de tous les SmartAlbums';
 $lang['Update albums on file upload'] = 'Mettre à jour les albums après la mise en ligne d\'un fichier';
+$lang['(can cause slowdowns on admin pages)'] = '(peut causer des ralentissements)';
 $lang['All SmartAlbums'] = 'Tous les SmartAlbums';
 $lang['Add a SmartAlbum'] = 'Ajouter un SmartAlbum';
@@ -33,5 +34,5 @@
 $lang['SmartAlbum added'] = 'SmartAlbum supprimé';
 $lang['Only SmartAlbums are displayed on this page'] = 'Seuls les SmartAlbums sont affichés sur cette page';
-$lang['To order albums please go the main albums management page'] = 'Pour ordonner les albums veuillez vous rendre sur la page principale de gestion des albums';
+$lang['To order albums please go the main albums management page'] = 'Pour ordonner les albums veuillez vous rendre sur la page principale de <a href="admin.php?page=cat_list">gestion des albums</a>';
 $lang['Don\'t show this message again'] = 'Ne plus afficher ce message';
 
Index: /extensions/SmartAlbums/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/it_IT/plugin.lang.php	(revision 11450)
+++ /extensions/SmartAlbums/language/it_IT/plugin.lang.php	(revision 11451)
@@ -28,4 +28,5 @@
 $lang['Regenerate photos list of all SmartAlbums'] = 'Rigenerare le foto di tutti i SmartAlbums';
 $lang['Update albums on file upload'] = 'Aggiornare gli album dopo il caricamento di un file';
+$lang['(can cause slowdowns on admin pages)'] = '(può causare rallentamenti)';
 $lang['All SmartAlbums'] = 'Tutti i SmartAlbums';
 $lang['Add a SmartAlbum'] = 'Aggiungere un SmartAlbum';
@@ -33,5 +34,5 @@
 $lang['SmartAlbum added'] = 'SmartAlbum cancellato';
 $lang['Only SmartAlbums are displayed on this page'] = 'Solo i SmartAlbums sono visualizzati su questa pagina';
-$lang['To order albums please go the main albums management page'] = 'Per l\'ordinamento degli album recarsi sulla pagina principale della gestione degli album';
+$lang['To order albums please go the main albums management page'] = 'Per l\'ordinamento degli album recarsi sulla pagina principale della <a href="admin.php?page=cat_list">gestione degli album</a>';
 $lang['Don\'t show this message again'] = 'Non visualizzare piu questo messagio';
 
Index: /extensions/SmartAlbums/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/lv_LV/plugin.lang.php	(revision 11450)
+++ /extensions/SmartAlbums/language/lv_LV/plugin.lang.php	(revision 11451)
@@ -33,5 +33,5 @@
 $lang['SmartAlbum added'] = 'SmartAlbum pievienots';
 $lang['Only SmartAlbums are displayed on this page'] = 'Šajā lapā attēloti tikai  SmartAlbumi ';
-$lang['To order albums please go the main albums management page'] = 'Lai kārtotu albūmus, izvēlieties albūmu pārvaldības galveno lapu';
+$lang['To order albums please go the main albums management page'] = 'Lai kārtotu albūmus, izvēlieties <a href="admin.php?page=cat_list">albūmu pārvaldības galveno lapu</a>';
 $lang['Don\'t show this message again'] = 'Nerādīt šo ziņojumu atkārtoti';
 
Index: /extensions/SmartAlbums/maintain.inc.php
===================================================================
--- /extensions/SmartAlbums/maintain.inc.php	(revision 11450)
+++ /extensions/SmartAlbums/maintain.inc.php	(revision 11451)
@@ -25,5 +25,5 @@
     \'SmartAlbums\', 
     \''.serialize(array(
-        'update_on_upload' => true,
+        'update_on_upload' => false,
         'show_list_messages' => true,
         )
@@ -46,5 +46,5 @@
     \'SmartAlbums\', 
     \''.serialize(array(
-        'update_on_upload' => true,
+        'update_on_upload' => false,
         'show_list_messages' => true,
         )