Index: extensions/Autosize/autosize.inc.php
===================================================================
--- extensions/Autosize/autosize.inc.php	(revision 11442)
+++ extensions/Autosize/autosize.inc.php	(revision 11461)
@@ -20,18 +20,4 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-if (!defined('AUTOSIZE_PATH')) 
-define(
-  'AUTOSIZE_PATH',
-   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/'
-);
-if (!defined('ROOT_URL')) 
-define(  'ROOT_URL',  get_root_url().'/' );
- 
-if (!defined('AUTOSIZE_PATH_ABS')) 
-define(
-  'AUTOSIZE_PATH_ABS',  realpath(AUTOSIZE_PATH)."/"
-);
-
-
 class autosize_controler {
  //============================================================
@@ -57,7 +43,4 @@
     else 
       $file =AUTOSIZE_PATH_ABS.'template/header_2_2.tpl' ;
-   
-;
-
     $template->set_filenames(array('autosize_init_header'=> $file ));
     $template->set_filenames(array('autosize_init'=>AUTOSIZE_PATH_ABS. "template/conflit.tpl" ) );
Index: extensions/Autosize/include/affiche.php
===================================================================
--- extensions/Autosize/include/affiche.php	(revision 11442)
+++ extensions/Autosize/include/affiche.php	(revision 11461)
@@ -15,5 +15,5 @@
 $DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
 //=================================================================================================
-  $AUTOSIZE_PATH = AUTOSIZE_PATH_ABS;
+  $my_path = AUTOSIZE_PATH_ABS;
   $theme=$user['theme'];
   $user_status = $user['status'] ;
Index: extensions/Autosize/js/conflit.js
===================================================================
--- extensions/Autosize/js/conflit.js	(revision 11442)
+++ extensions/Autosize/js/conflit.js	(revision 11461)
@@ -65,6 +65,11 @@
 nbpa = 0;
 var Fn;
+if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
+
+} else {
+  $mootools = $;
+}
+//====================================================
 function conflit(element, nc) {
-  if(typeof DEBUG != "boolean") DEBUG = false ;
     //--- cl_conflit
     if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
@@ -530,7 +535,6 @@
         jQuery('#browser').val(browser.browser);
   }
-
-  if (typeof (Parent) == "undefined") return;
-
+    if (typeof (Parent) == "undefined")
+        Parent = "#theImage";
   info_image = jQuery(Parent).infos();
   p0 = jQuery(Parent);
@@ -573,10 +577,11 @@
 //--------------------------------------------------------------
 $_0 = $;
-
+    function $(element, nc0) {
+        if (typeof jQuery.fn.infos != "function")
+            if (typeof myjQuery != "undefined")
+                jQuery = myjQuery;
+        a = conflit(element, nc0);
+        return a;
+    }
 //=== ajout des fonctions jQuery ===
-$ = jQuery.fn.$;
-
-if (typeof $mootools != "undefined")
-  jQuery.extend($, $mootools);
-
-jQuery.extend($, $_0);
+    jQuery.extend($, jQuery);
Index: extensions/Autosize/js/conflit_2.js
===================================================================
--- extensions/Autosize/js/conflit_2.js	(revision 11442)
+++ extensions/Autosize/js/conflit_2.js	(revision 11461)
@@ -1,5 +1,5 @@
 ﻿
   //=== ajout des fonctions jQuery ===
-  if (typeof MooTools!= "undefined" && typeof Prototype == "undefined") {
+if (typeof MooTools == "undefined" && typeof Prototype == "undefined") {
     $mootools = window.$;
   } else {
@@ -17,3 +17,2 @@
     }
   }
-if (typeof Type_Img ) {}
Index: extensions/Autosize/main.inc.php
===================================================================
--- extensions/Autosize/main.inc.php	(revision 11442)
+++ extensions/Autosize/main.inc.php	(revision 11461)
@@ -12,4 +12,14 @@
 if (!defined('AUTOSIZE_PATH')) 
 define(  'AUTOSIZE_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );
+if (!defined('ROOT_URL')) 
+define(  'ROOT_URL',  get_root_url().'/' );
+ 
+if (!defined('AUTOSIZE_PATH_ABS')) 
+define(
+  'AUTOSIZE_PATH_ABS',  realpath(AUTOSIZE_PATH)."/"
+);
+
+
+
 
 //==================================================================
Index: extensions/Autosize/template/conflit.tpl
===================================================================
--- extensions/Autosize/template/conflit.tpl	(revision 11442)
+++ extensions/Autosize/template/conflit.tpl	(revision 11461)
@@ -12,7 +12,8 @@
      {if not empty($cl_plugins )}
        {foreach from=$cl_plugins item=cl_plug }
-      value='{$cl_plug}';cl_plugins.push(value);           
+            value="{$cl_plug}";cl_plugins.push(value);           
         {/foreach}
      {/if}
 {/if}
-</script>{/html_head}  
+</script>
+{/html_head} 
Index: extensions/Autosize/template/header_2_2.tpl
===================================================================
--- extensions/Autosize/template/header_2_2.tpl	(revision 11442)
+++ extensions/Autosize/template/header_2_2.tpl	(revision 11461)
@@ -4,21 +4,16 @@
 {else}
 {/if}
+{combine_script id="conflit_script0" load="header" path = $AUTOSIZE_PATH|@cat:"js/conflit_2.js" require="jquery" }
 {* au cas ou jquery non défini  *}
-{combine_script id="conflit_script0" load="header" path = $AUTOSIZE_PATH|@cat:"js/conflit_2.js" } 
-{combine_script id="jquery" load="header" path = "themes/default/js/jquery.min.js"}
-
-{if $combine_file}
-{combine_script id="cl_dimensions" path = $AUTOSIZE_PATH|@cat:"js/autosize.dimensions.js" require="jquery"} 
-{combine_script id="conflit_script" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery,cl_dimensions"   } 
-{else}
-{combine_script id="cl_dimensions" path = $AUTOSIZE_PATH|@cat:"js/autosize.dimensions.js" require="jquery"} 
-{ combine_script id="conflit_script" load="footer" path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery,cl_dimensions"} 
-
-{/if}
-{combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
-{combine_script id="autosize.cookie" path = $AUTOSIZE_PATH|@cat:"js/autosize.cookie.js" require="jquery,conflit_script0"}
 
 
-{combine_script id="conflit_script2" load="async" path = $AUTOSIZE_PATH|@cat:"js/conflit_2.js" require="jquery,conflit_script" }
+
+{combine_script id="conflit_script"  path = $AUTOSIZE_PATH|@cat:"js/conflit.js" require="jquery" }
+{combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
+{combine_script id="autosize.dimensions" path = $AUTOSIZE_PATH|@cat:"js/autosize.dimensions.js" require="jquery"}
+{combine_script id="autosize.cookie" path = $AUTOSIZE_PATH|@cat:"js/autosize.cookie.js" require="jquery"}
+
+
+{combine_script id="conflit_script2" load="async" path = $AUTOSIZE_PATH|@cat:"js/conflit_2.js" require="jquery" }
 
  
Index: extensions/Autosize/template/picture.tpl
===================================================================
--- extensions/Autosize/template/picture.tpl	(revision 11442)
+++ extensions/Autosize/template/picture.tpl	(revision 11461)
@@ -1,5 +1,2 @@
- 
-
-
  <style type="text/css">
          #bp_cla {ldelim}