Index: tensions/set_plugins/admin.tpl
===================================================================
--- /extensions/set_plugins/admin.tpl	(revision 11461)
+++ 	(revision )
@@ -1,79 +1,0 @@
-<meta http-equiv="X-UA-Compatible" content="IE=edge" /> 
-{footer_script } 
-{combine_script id="field_set" load="footer" path=$SET_PLUGINS_PATH|@cat:"js/field_set.js" require="jquery"}
-{/footer_script}
-
-{foreach from=$list item=plugin_state}1
-{$list}
-{/foreach}
-
-{if isset($liste_plugins)}
-{foreach from=$plugin_states item=plugin_state}
-{if $plugin_state==$state}
-<fieldset >
-    <legend>    
-    {if $plugin_state == 'active'} 
-    {'Last '|@translate} {'Active Plugins'|@translate}
-    {elseif $plugin_state == 'inactive'} 
-    {'Last '|@translate} {'Inactive Plugins'|@translate}
-    {/if} [{$nb_list}]
-</legend>
-  <form action="{$action}" method="post" name="form_set_plugins" id="form_set_plugins"> 
- <input class="button" name="unset_plugins" type="submit" value="{'Deactivate'|@translate}" />
-    <input class="button" name="set_plugins" type="submit" value="{'Activate'|@translate}"  />
-
-   
-      <label> {'nb'|@translate}:</label><input name="nb" type="text" value="{$nb}" size="5" />
-    <input name="list_visible" id="list_visible" type="hidden" value="{$list_visible}" />
-    
-<input name="add_plugins" type="hidden" id="add_plugins" value="{$add_plugins}" />
-    <input class="button" type="submit" name="init_plugins" value="{'init'|@translate}" />
-<input type="hidden" id="set" name="set" value="{$set}" />
- <p>
-
-  {foreach from=$liste_plugins item=plugin name=plugins_loop}
-      <div class="pluginBox" id="{$plugin.NAME}">
- <table width="100%"  >    <tr>
-<td width="50%" align="left" name="plugins_name" rel="actif" class="pluginBoxNameCell" >
-    {if $plugin.STATE == 'active'}
-{$plugin.NAME}
-{else} 
-{/if}
-</td>        
-
-        <td width="50%" align="left" name="plugins_name" rel="inactif"  class="pluginBoxNameCell">
-          {if $plugin.STATE == 'inactive'} 
-              {$plugin.NAME} 
-      {else} 
-      {/if} 
-
-</td>  
-</tr>
-<tr>
-
-        <td width="50%" align="left" rel="actif">
-          {if $plugin.STATE == 'active'}          
-            <a href="{$plugin.U_ACTION}&amp;action=deactivate">
-            {'Deactivate'|@translate}</a>
-          {else} {/if}
-        </td>
-        <td width="50%" align="left" rel="inactif">
-          {if $plugin.STATE == 'inactive'} 
-            <a href="{$plugin.U_ACTION}&amp;action=activate" >{'Activate'|@translate}</a>
-            
-             {else}  {/if}
- 
-        </td>
-      </tr> </table> 
-</div>  
-     
-
-{/foreach}
-  </p>
-      </form>
-  </fieldset>
-{/if}
-{/foreach}
-
-{/if}
-
Index: /extensions/set_plugins/include/affiche.php
===================================================================
--- /extensions/set_plugins/include/affiche.php	(revision 11461)
+++ /extensions/set_plugins/include/affiche.php	(revision 11462)
@@ -9,11 +9,17 @@
 global $nb,$liste,$state,$list_visible,$add_plugins;
 if (isset($conf['set_plugins'])) $set_plugins_parametres =  unserialize($conf['set_plugins']);
-  $nb=set_plugins_controler::set_var('nb','10');
-  $liste = set_plugins_controler::set_var('list',array()); 
-  $state=set_plugins_controler::set_var('state',"active"); 
-  $list_visible=set_plugins_controler::set_var('list_visible',"on,on,on,on"); 
-  $add_plugins=set_plugins_controler::set_var('add_plugins',""); 
+  $nb=set_plugins::set_var('nb','10');
+
+  $liste = set_plugins::set_var('list',array()); 
+   if (isset($liste[0]) && is_array($liste[0]))
+            $liste = array();
+   $liste= array_unique($liste);
+
+  $state=set_plugins::set_var('state',"active"); 
+  $list_visible=set_plugins::set_var('list_visible',"on,on,on,on"); 
+  $add_plugins=set_plugins::set_var('add_plugins',""); 
   
 global $set;
+
 if ( isset($_POST)) {
       $set="true";
@@ -22,5 +28,47 @@
 }
 
-if(isset($_POST))
+$dir=realpath('./local/plugins/set_plugins');
+ if (!is_dir($dir)){    
+    $dir= realpath('./local/plugins'). "\\set_plugins";
+    $umask = umask(0);
+    $mkd = @mkdir($dir, 0755, true );
+    umask($umask);
+    if ($mkd==false){
+      fatal_error( "$dir ".l10n('no write access'));       
+    } 
+    $file = $dir.'\\.htaccess';
+    @file_put_contents( $file, 'allow from all' );
+ }   
+$dir=realpath('./local/plugins/set_plugins');
+if(!isset($edited_file) || $edited_file=="") 
+ $edited_file=$dir."/config.txt";
+ $edited_file=str_replace("\\","/", $edited_file);
+
+ if (isset($_POST['submit']) && $_POST['submit']==l10n('save_file')){
+    if (file_exists($edited_file)){
+        copy($edited_file, substr_replace($edited_file, '.bak', strrpos($edited_file , '.'), 0) );
+       
+   
+      }
+     if ($file = @fopen($edited_file , "w")) {
+          $liste= array_unique($liste);
+          @fwrite($file , serialize($liste));
+          @fclose($file);
+          $infos_message.=l10n("save config").set_plugins::memo_var($liste);
+          $infos_message.=set_plugins::memo_var($liste);
+          $infos_message.=set_plugins::memo_var($_POST);
+          unset($_POST['submit']);
+      }
+
+ }
+
+///================================================================  
+if (isset($_POST['restore'])){ 
+  $content_file = file_get_contents(substr_replace($edited_file, '.bak', strrpos($edited_file , '.'), 0));
+  $file =array();
+  $liste= array_unique(unserialize($content_file));
+  unset($_POST['restore']);
+}
+
 
 if(isset($_POST['add_plugins']) && $add_plugins!="" ){ 
@@ -37,10 +85,45 @@
 
 if ( $set=="true"){    
-    set_plugins_controler::save_config();
+    set_plugins::save_config();
     unset($_POST['list_visible']);
     unset($_POST['nb']);
  }
+ 
+ 
+                
+  $plugins = new plugins();
+  $plugins->sort_fs_plugins('name');
+  //$plugins->get_incompatible_plugins();
+  $redirect_url = get_root_url().'admin.php?page='.$_GET['page'];
+  $base_url = get_root_url().'admin.php?page='.$page['page'];
+  $action_url = $base_url.'&amp;plugin='.'%s'.'&amp;pwg_token='.get_pwg_token();
+ //=======================================================
 
-  $template->assign( array(   
+ if($liste)  $liste_plugins = array_combine($liste,$liste);
+ else $liste_plugins =array();
+//==========================================================
+$plugin_ids = array_intersect(array_keys($plugins->db_plugins_by_id),
+  array_keys($liste_plugins)  
+  );
+$liste_tpl=array();
+foreach($plugins->fs_plugins as $plugin_id => $fs_plugin) {   
+//==== test si $plugin_id fait partie de $liste_plugins ==============  
+    $key = array_search($plugin_id, $liste_plugins,false); 
+    if ($key!== false){
+    if(isset( $plugins->db_plugins_by_id[$plugin_id])){
+      $tpl_plugin = array(
+        'NAME' => $fs_plugin['name'],
+        'U_ACTION' => sprintf($action_url, $plugin_id),        
+        'STATE' => $plugins->db_plugins_by_id[$plugin_id]['state']
+      );
+      $liste_tpl[$plugin_id]=  $tpl_plugin ;   
+      } 
+      
+  }
+  
+}           
+$template->assign( array(  'liste_plugins' => $liste_tpl));	  
+
+ $template->assign( array(   'PHPWG_VERSION' =>  PHPWG_VERSION ,
                     'cl_plugins' => $cl_set_plugins_plugin ,
                     'cl_version' => $cl_set_plugins_plugin['version'] ,
@@ -48,42 +131,17 @@
                     'Version_pwg' => PHPWG_VERSION,
                     'SET_PLUGINS_PATH' => SET_PLUGINS_PATH,
+                    'SET_PLUGINS_PATH_ABS' => SET_PLUGINS_PATH_ABS,
                     'set' => $set ,
-                    'nb' => $nb,
+                    'nb' => ($nb>0)?$nb:1,
                     'state' => $state ,
                     'list_visible' => $list_visible,
                     'add_plugins' => $add_plugins,
                     'nb_list' => count($liste),
-                    //'action' => ''
+                    'nb_plugins' => count($plugins->db_plugins_by_id) ,
+                    'restore' => false ,
+                    'edited_file' => $edited_file
 											)
-									);	         
-                  
-  $plugins = new plugins();
-  $plugins->sort_fs_plugins('name');
-  $plugins->get_incompatible_plugins();
-  $redirect_url = get_root_url().'admin.php?page='.$_GET['page'];
-  $base_url = get_root_url().'admin.php?page='.$page['page'];
-  $action_url = $base_url.'&amp;plugin='.'%s'.'&amp;pwg_token='.get_pwg_token();
- //=======================================================
-  $liste_plugins = array();
-  foreach($liste as $liste_id => $liste_plugin) { 
-  $liste_plugins[]=    $liste_plugin;
-
-  }
-//==========================================================
-$liste_tpl=array();
-foreach($plugins->fs_plugins as $plugin_id => $fs_plugin) {   
-//==== test si $plugin_id fait partie de $liste_plugins ==============  
-    $key = array_search($plugin_id, $liste_plugins,false); 
-    if ($key!== false){
-      $tpl_plugin = array(
-        'NAME' => $fs_plugin['name'],
-        'U_ACTION' => sprintf($action_url, $plugin_id),        
-        'STATE' => $plugins->db_plugins_by_id[$plugin_id]['state']
-      );
-      $liste_tpl[]=  $tpl_plugin ;
-  }
-}           
-$template->assign( array(  'liste_plugins' => $liste_tpl));	     
- 
+									);	            
+                    
 
 ?>
Index: /extensions/set_plugins/js/field_set.js
===================================================================
--- /extensions/set_plugins/js/field_set.js	(revision 11461)
+++ /extensions/set_plugins/js/field_set.js	(revision 11462)
@@ -3,4 +3,20 @@
  // jQuery("#form_set_plugins").submit();
 }
+
+
+jQuery().ready(function () {
+  jQuery('.cluetip').tipTip({  maxWidth:'600px' ,'delay': 0, 'fadeIn': 200, 'fadeOut': 200 });  
+  jQuery('.cluetip0').cluetip({ 
+    width: 300,
+    splitTitle: '|'    ,
+    clickThrough: true
+  });
+
+
+
+
+});
+
+
 
 
@@ -34,4 +50,6 @@
       liste = liste_visible.split(reg);
       reg = new RegExp("['off']", "g");
+      h_min = jQuery("fieldset legend").height();
+      h_min = 0;
       jQuery("fieldset").each(
         function (i) {
@@ -48,5 +66,5 @@
             liste[i] = "off";
 
-            h_min = jQuery("#" + this.id + ' legend').height();
+
             jQuery(this).height(h_min + 0);
 
@@ -129,4 +147,25 @@
     } // fielset
     //====================================================================
+
+    jQuery("input").each(
+        function (i) {
+          jQuery(this).click(function (event) {
+            jQuery(this).css("color", "red");
+            jQuery('#set').val("true");
+            jQuery.ajax({
+              type: "POST",
+              async: true,
+              data: {
+                set: "true"
+              }
+           ,
+              success: function (data) {
+                //  jQuery("#form_set_plugins").submit();
+
+              }
+            });
+          }); // click
+
+        }); //each
     jQuery(".pluginBox a").click(function (event) {
       var link = event.target.href;
@@ -142,10 +181,10 @@
           async: true,
           data: { add_plugins: query.plugin,
-           set: "true",
-           list_visible: val
-            }
+            set: "true",
+            list_visible: val
+          }
            ,
           success: function (data) {
-          //  jQuery("#form_set_plugins").submit();
+            //  jQuery("#form_set_plugins").submit();
 
           }
@@ -157,4 +196,4 @@
 
   }); // load
-});                                                               //ready           
+});                                                                //ready           
            
Index: /extensions/set_plugins/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/set_plugins/language/fr_FR/plugin.lang.php	(revision 11461)
+++ /extensions/set_plugins/language/fr_FR/plugin.lang.php	(revision 11462)
@@ -1,6 +1,29 @@
 <?php
+
 $lang['set_plugins']="active / déactive les plugins";
 $lang['command']="commande";
 
 $lang['Last ']="Derniers";
+$lang['s_pl_title']="Gestion";
+$lang['s_pl_action']="Gère la liste des extensions mémorisées";
+ 
+$lang['s_pl_action1']="Nombre d'extensions mémorisées";
+ 
+$lang['s_pl_action2']="Nombre d'extensions installées";
+ 
+$lang['s_pl_action3']="Total des extensions";
+$lang['s_pl_action4']="Déactive n extensions"  ;
+$lang['s_pl_action5']="Active n extensions"  ;
+
+$lang['s_pl_action6']="Nombre d'extensions à modifier.";
+$lang['s_pl_action7']="Mémorisation des extensions actives";
+$lang['s_pl_action8']="Sauvegarde de la liste des extensions installées";
+$lang['s_pl_action9']="Restitue la liste des extensions mémorisées";
+
+$lang['store']="Mémorisation";
+
+$lang['restore'] = 'Charger le fichier de sauvegarde';
+$lang['save_file'] = 'Enregistrer le fichier';
+$lang['restore_confirm'] = 'Souhaitez-vous charger le fichier sauvegardé?';
+
 ?>
Index: /extensions/set_plugins/main.inc.php
===================================================================
--- /extensions/set_plugins/main.inc.php	(revision 11461)
+++ /extensions/set_plugins/main.inc.php	(revision 11462)
@@ -13,4 +13,11 @@
 // Define the path to our plugin.
 define('SET_PLUGINS_PATH', PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
+
+//$SET_PLUGINS_PATH_ABS = str_replace('\\','/',dirname(__FILE__) );
+if (!defined('SET_PLUGINS_PATH_ABS')) 
+define(
+  'SET_PLUGINS_PATH_ABS',   realpath(SET_PLUGINS_PATH)."\\"
+);
+
 load_language('plugin.lang', SET_PLUGINS_PATH);
 // Hook on to an event to show the administration page.
@@ -20,12 +27,12 @@
 
 include_once(SET_PLUGINS_PATH.'set_plugins_class.php');  
-$set_plugins_controler = new set_plugins_controler();     
+$set_plugins = new set_plugins();     
      $infos_message = "";
      $erreur_message = "";
      $infos_warning = "";
 // Add an entry to the 'Plugins' menu.
-add_event_handler('get_admin_plugin_menu_links', array(&$set_plugins_controler,'set_plugins_admin_menu')  );
-add_event_handler('loc_end_admin', array(&$set_plugins_controler,'cl_affiche_messages_admin'));
-add_event_handler('loc_end_page_header',array(&$set_plugins_controler,'set_plugins_add')); 
+add_event_handler('get_admin_plugin_menu_links', array(&$set_plugins,'set_plugins_admin_menu')  );
+add_event_handler('loc_end_admin', array(&$set_plugins,'cl_affiche_messages_admin'));
+add_event_handler('loc_end_page_header',array(&$set_plugins,'set_plugins_add')); 
 
  //=======================================================
Index: /extensions/set_plugins/maintain.inc.php
===================================================================
--- /extensions/set_plugins/maintain.inc.php	(revision 11461)
+++ /extensions/set_plugins/maintain.inc.php	(revision 11462)
@@ -30,14 +30,15 @@
    if ( !isset($conf['set_plugins']) ){
     plugin_uninstall() ;
-       $my_para['nb']="5";
-    $my_para['list']=array();
-    $my_para['state']="---";
+
+    include_once(SET_PLUGINS_PATH.'set_plugins_class.php');  
+$set_plugins = new set_plugins();   
+
+$nb=set_plugins::set_var('nb','10');
+$liste = set_plugins::set_var('list',array()); 
+$state=set_plugins::set_var('state',"active"); 
+$list_visible=set_plugins::set_var('list_visible',"on,on,on,on"); 
+$add_plugins=set_plugins::set_var('add_plugins',""); 
+set_plugins::save_config();
  
-    $set_plugins_values=  pwg_db_real_escape_string(serialize($my_para));
- //   conf_update_param('set_plugins', pwg_db_real_escape_string(serialize($config)));
-
-    $query = 'INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
-    VALUES ("set_plugins", "'.$set_plugins_values.'" ,"Parametres du plugin set_plugins");';
-    pwg_query($query);
   }
 }
Index: /extensions/set_plugins/set_plugins_class.php
===================================================================
--- /extensions/set_plugins/set_plugins_class.php	(revision 11461)
+++ /extensions/set_plugins/set_plugins_class.php	(revision 11462)
@@ -1,5 +1,5 @@
 <?php
 /***************************************************************************/
-class set_plugins_controler  {
+class set_plugins  {
   //=============================================================================
   function set_plugins_admin_menu($menu) {
@@ -23,10 +23,10 @@
               case 'plugins_list':
               if(!isset($template)) return ;
-                set_plugins_controler::Affiche_set_plugins();
+                set_plugins::Affiche_set_plugins();
               break;
           case 'plugins':
             if (!isset($page['tab'])) return;
             if ($page['tab']!="installed") return ;
-              set_plugins_controler::Affiche_set_plugins();
+              set_plugins::Affiche_set_plugins();
               break;
             }
@@ -34,26 +34,31 @@
   }
 //============================================================================
-  function cl_affiche_messages_admin()
-  {
+  function cl_affiche_messages_admin(){
     global $template,$page, $template, $pwg_loaded_plugins,$infos_message,$erreur_message,$infos_warning;
+   
     if ( (isset($_GET['page']) AND $_GET['page'] == 'plugins_list') ) {
+    if (!isset($page['infos'])) $page['infos']=array();
         if  ($infos_message != "")  {
             array_push($page['infos'],  $infos_message);
             $infos_message="";
-        }
+      
+        }        
+        if (count($page['infos']) != 0){
+          $template->assign('infos', $page['infos']);
+        }
+        if (!isset($page['errors'])) $page['errors']=array();
         if  ($erreur_message != "")  {
             array_push($page['errors'], $erreur_message);
             $erreur_message="";
-        }
+        }        
+        if (count($page['errors']) != 0){
+          $template->assign('errors', $page['errors']);
+        }
+
+        if (!isset($page['warnings'])) $page['warnings']=array();
         if  ($infos_warning!= "")  {
             array_push($page['warnings'], $infos_warning);
             $infos_warning= "";
-        }
-        if (count($page['errors']) != 0){
-          $template->assign('errors', $page['errors']);
-        }
-        if (count($page['infos']) != 0){
-          $template->assign('infos', $page['infos']);
-        }
+        }       
         if (count($page['warnings']) != 0){
           $template->assign('warnings', $page['warnings']);
@@ -84,8 +89,8 @@
                   'nb' =>$nb
               );
-        // $infos_warning .="save_config" . set_plugins_controler::memo_var($conf['set_plugins'] );
+        // $infos_warning .="save_config" . set_plugins::memo_var($conf['set_plugins'] );
          $conf['set_plugins']= (serialize($config));
          conf_update_param('set_plugins', $conf['set_plugins']);
-
+       
 
       }
@@ -101,5 +106,5 @@
   }
   //===================================================================
-   function Affiche_set_plugins(){
+function Affiche_set_plugins(){
   include_once(SET_PLUGINS_PATH."include/constants.php");
   include(SET_PLUGINS_PATH.'include/affiche.php');
@@ -165,10 +170,14 @@
       }
       $nb=count($liste_plugins);
-    }
+
+    } 
+    
+
+
    if(isset($result) && $result==true){
       $redirect_url = get_root_url().'admin.php?page='.$_GET['page'];
       //$infos_message .="-----> Mise à jour : " . $nb."<br />";
-      //$infos_message .="Liste Avant: " . set_plugins_controler::memo_var($liste);
-      set_plugins_controler::save_config();
+      //$infos_message .="Liste Avant: " . set_plugins::memo_var($liste);
+      set_plugins::save_config();
 
       $_POST['set']="";
@@ -183,7 +192,8 @@
   }
   $template->set_filenames(
-    array(    'cl_plugin' => dirname(__FILE__).'/admin.tpl'  )
+    array(    'cl_plugin' => SET_PLUGINS_PATH_ABS.'template/admin.tpl'  )
   );
-
+   
+   
   //===========================================================
   $header_1='<div id="titrePage">
@@ -191,4 +201,5 @@
   </div>';
   $bpplus=$header_1.$template->parse('cl_plugin', true);
+    
   $template-> assign('ADMIN_CONTENT',$bpplus);
   $bpplus=$template->parse('plugins', true);
Index: /extensions/set_plugins/template/admin.tpl
===================================================================
--- /extensions/set_plugins/template/admin.tpl	(revision 11462)
+++ /extensions/set_plugins/template/admin.tpl	(revision 11462)
@@ -0,0 +1,121 @@
+<meta http-equiv="X-UA-Compatible" content="IE=edge" />
+<meta http-equiv="X-UA-Compatible" content="IE=IE9" />
+{html_head}
+{if $PHPWG_VERSION < 2.2 } 
+
+{include file= $SET_PLUGINS_PATH_ABS|@cat:'template/header_2_1.tpl'}
+{else} 
+{include file= $SET_PLUGINS_PATH_ABS|@cat:'template/header_2_2.tpl'} 
+{/if}
+
+
+{/html_head}
+
+
+
+{*if isset($liste_plugins)*}
+
+<fieldset >
+<legend class="cluetip" title="{'s_pl_action'|@translate}"
+
+       
+>
+  
+    {if $state == 'active'} 
+    {'Last'|@translate} {'action'|@translate} :{'Activate'|@translate}
+    {elseif $state == 'inactive'} 
+    {'Last'|@translate} {'action'|@translate} :{'Inactivate'|@translate}
+    {/if} 
+
+  {foreach from=$liste_plugins item=plugin name=plugins_name} 
+  {if $smarty.foreach.plugins_name.first}
+      [<label class="cluetip" title="{'s_pl_action1'|@translate}">
+      {$smarty.foreach.plugins_name.total}</label>/
+      <label class="cluetip" title="{'s_pl_action2'|@translate}">
+      {$nb_plugins}</label>/
+      <label class="cluetip" title="{'s_pl_action3'|@translate}">
+      {$smarty.foreach.plugins_loop.total}</label>] </legend>
+
+<form action="{$action}" method="post" name="form_set_plugins" id="form_set_plugins"> 
+  <input   name="unset_plugins" type="submit" value="{'Deactivate'|@translate}"
+    class="cluetip button" title="{'s_pl_action4'|@translate}" />
+  <input   name="set_plugins" type="submit" value="{'Activate'|@translate}"
+    class="cluetip" title="{'s_pl_action5'|@translate}" />   
+
+  <label class="cluetip" title="{'s_pl_action6'|@translate}"> {'nb'|@translate}:</label>
+  <input name="nb" type="text" value="{$nb}" size="5" />
+
+  <input name="list_visible" id="list_visible" type="hidden" value="{$list_visible}" />    
+  <input name="add_plugins" type="hidden" id="add_plugins" value="{$add_plugins}" />
+
+  <input type="submit" name="init_plugins" class="cluetip" 
+  title="{'s_pl_action7'|@translate}"
+    value="{'store'|@translate}" />
+  <input type="hidden" id="set" name="set" value="{$set}" />
+
+      <input class="cluetip" title="{'s_pl_action8'|@translate}  {$edited_file}" type="submit"
+        value="{'save_file'|@translate}" name="submit" />
+      {if isset ($restore)}
+      <input class="cluetip" title="{'s_pl_action9'|@translate}  {$edited_file}" type="submit"
+        value="{'restore'|@translate}" name="restore" onclick="return confirm('{'restore_confirm'|@translate|escape:'javascript'}');" />
+      {/if}
+ <p>
+{/if}
+
+      <div class="pluginBox" id="{$plugin.NAME}">
+ <table width="100%"  >    <tr>
+<td width="50%" align="left" name="plugins_name" rel="actif" class="pluginBoxNameCell" >
+    {if $plugin.STATE == 'active'}
+{$plugin.NAME}
+{else} 
+{/if}
+</td>        
+
+        <td width="50%" align="left" name="plugins_name" rel="inactif"  class="pluginBoxNameCell">
+          {if $plugin.STATE == 'inactive'} 
+              {$plugin.NAME} 
+      {else} 
+      {/if} 
+
+</td>  
+</tr>
+<tr>
+
+        <td width="50%" align="left" rel="actif">
+          {if $plugin.STATE == 'active'}          
+            <a href="{$plugin.U_ACTION}&amp;action=deactivate">
+            {'Deactivate'|@translate}</a>
+          {else} {/if}
+        </td>
+        <td width="50%" align="left" rel="inactif">
+          {if $plugin.STATE == 'inactive'} 
+            <a href="{$plugin.U_ACTION}&amp;action=activate" >{'Activate'|@translate}</a>
+            
+             {else}  {/if}
+ 
+        </td>
+      </tr> </table> 
+</div>     
+{/foreach}
+
+ {if $smarty.foreach.plugins_name.total==0}
+  [{$smarty.foreach.plugins_name.total}/{$nb_plugins}]
+
+   </legend>
+   <form action="{$action}" method="post" name="form_set_plugins" id="form1">
+   <input class="button" name="unset_plugins" type="submit" value="{'Deactivate'|@translate}" />
+   <input class="button" name="set_plugins" type="submit" value="{'Activate'|@translate}" />
+   <label>
+     {'nb'|@translate}:</label><input name="nb" type="text" value="{$nb}" size="5" />
+   <input name="list_visible" id="Hidden1" type="hidden" value="{$list_visible}" />
+   <input name="add_plugins" type="hidden" id="Hidden2" value="{$add_plugins}" />
+   <input class="button" type="submit" name="init_plugins" value="{'init'|@translate}" />
+   <input type="hidden" id="Hidden3" name="set" value="{$set}" />
+   <p>
+     {/if}
+  </p>
+      </form>
+  </fieldset>
+{*/if*}
+
+
Index: /extensions/set_plugins/template/header_2_1.tpl
===================================================================
--- /extensions/set_plugins/template/header_2_1.tpl	(revision 11462)
+++ /extensions/set_plugins/template/header_2_1.tpl	(revision 11462)
@@ -0,0 +1,2 @@
+ {known_script id="jquery" src = $ROOT_URL|@cat:"themes/default/js/jquery.packed.js"  }
+ {known_script id="field_set" src= $SET_PLUGINS_PATH|@cat:"js/field_set.js" }
Index: /extensions/set_plugins/template/header_2_2.tpl
===================================================================
--- /extensions/set_plugins/template/header_2_2.tpl	(revision 11462)
+++ /extensions/set_plugins/template/header_2_2.tpl	(revision 11462)
@@ -0,0 +1,4 @@
+{combine_script id="jquery.cluetip" path = "themes/default/js/plugins/jquery.cluetip.js" require="jquery" }
+ {footer_script }
+ {combine_script id="field_set" load="footer" path=$SET_PLUGINS_PATH|@cat:"js/field_set.js" require="jquery"}
+  {/footer_script}