Index: /extensions/AdditionalPages/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/trunk/language/de_DE/plugin.lang.php	(revision 11463)
+++ /extensions/AdditionalPages/trunk/language/de_DE/plugin.lang.php	(revision 11464)
@@ -39,12 +39,12 @@
 $lang['ap_convert_bbcode_ok'] = 'Konvertierung abgeschlossen.';
 
-/*TODO*/$lang['ap_edit_page'] = 'Edit a page';
-/*TODO*/$lang['ap_set_as_homepage'] = 'Set as Homepage';
-/*TODO*/$lang['ap_standalone_page'] = 'Standalone Page';
-/*TODO*/$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
-/*TODO*/$lang['ap_standalone_tip'] = 'Page require full HTML structure';
-/*TODO*/$lang['ap_permalink_already_used'] = 'Permalink %s is already used by page %s';
-/*TODO*/$lang['ap_level_perm'] = 'by privacy level';
-/*TODO*/$lang['ap_language_perm'] = 'by language';
+$lang['ap_edit_page'] = 'Eine Seite editieren';
+$lang['ap_set_as_homepage'] = 'Als Homepage setzen';
+$lang['ap_standalone_page'] = 'Einzelne Seite';
+$lang['ap_homepage_tip'] = 'Die Homepage der Gallerie ersetzen';
+$lang['ap_standalone_tip'] = 'Die Seite benötigt eine vollständige HTML Struktur';
+$lang['ap_permalink_already_used'] = 'Permalink %s wird bereits von der Seite %s benutzt';
+$lang['ap_level_perm'] = 'nach Ebene der Privatsphäre';
+$lang['ap_language_perm'] = 'nach Sprache';
 
 ?>
Index: /extensions/LLGBO2/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/de_DE/plugin.lang.php	(revision 11463)
+++ /extensions/LLGBO2/language/de_DE/plugin.lang.php	(revision 11464)
@@ -83,6 +83,6 @@
 $lang['llgbo_always_displayexif'] = 'Zeige die Metadaten immer an:' ;
 $lang['Reset_To_Default'] = 'Auf Standardeinstellungen zurücksetzen';
-/*TODO*/$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
-/*TODO*/$lang['llgbo_hdShadowbox'] ='Kompatibilität zwischen HD Shadowbox und In-Bild-Navigation. <br> HD Shadowbox muss aktiviert sein!';
-/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
+$lang['llgo_warning_setting'] = 'für die Benutzung mit Gally Themen wird die Erweiterung cl_conflit benötigt.';
+$lang['llgbo_hdShadowbox'] ='Kompatibilität zwischen HD Shadowbox und In-Bild-Navigation. <br> HD Shadowbox muss aktiviert sein!';
+$lang['llgbo_dispinshadowbox'] ='In Shadowbox anzeigen --> ';
 ?>
Index: /extensions/SmiliesSupport/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/de_DE/plugin.lang.php	(revision 11463)
+++ /extensions/SmiliesSupport/language/de_DE/plugin.lang.php	(revision 11464)
@@ -5,6 +5,6 @@
 $lang['representant'] = "Repräsentative";
 $lang['All Smilies'] = "Alle Smilies";
-$lang['smilies_file_help'] = "By default when a user clicks on a smiley, Smilies Support adds a keyword matching the name of the file (smile.png -> :smile:).<br>
-  But here you can configure other strings to be replaced. Each smilies folder has its own <i>smilies.txt</i> file.";
+$lang['smilies_file_help'] = "Standardmäßig fügt Smilies Support ein dem Dateinamen entsprechendes Schlüsselwort (smile.png -> :smile:) ein, wenn ein Benutzer auf einen Smiley klickt.<br>
+  Hier können Sie jedoch andere Wörter angeben, die ersetzt werden sollen. Jeder Smilies Ordner verfügt über eine eigene <i>smilies.txt</i> Datei.";
 
 ?>
Index: /extensions/Statistics/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Statistics/language/de_DE/plugin.lang.php	(revision 11463)
+++ /extensions/Statistics/language/de_DE/plugin.lang.php	(revision 11464)
@@ -7,4 +7,4 @@
 $lang['statistics_save_config'] = 'Daten wurden gespeichert';
 $lang['stat_admin'] = 'Schließt den  Administrator aus der Statistik aus.';
-$lang['stat_admin'] = 'Schließt die Gäste aus der Statistik aus.';
+$lang['stat_guest'] = 'Schließt die Gäste aus der Statistik aus.';
 ?>
Index: /extensions/stripped/language/de_DE/theme.lang.php
===================================================================
--- /extensions/stripped/language/de_DE/theme.lang.php	(revision 11463)
+++ /extensions/stripped/language/de_DE/theme.lang.php	(revision 11464)
@@ -11,7 +11,10 @@
 $lang['Animate tabs on picture page']='Tabs auf der Bilderseite animieren';
 $lang['Replace all icons by ALT text']='Alle Symbole mit ALT Texten ersetzen';
+$lang['Force text to lowercase']='Text in Kleinbuchstaben konvertieren';
+$lang['Show thumbnail legend']='Legende der Vorschaubilder anzeigen';
 $lang['Picture page options']='Optionen der Bilderseite';
 $lang['Show image title on top of the page (after browse path)']='Den Titel des Bildes am Anfang der Seite anzeigen (nachdem der Pfad durchsucht wurde)';
 $lang['Show description instead of title below image']='Anstatt des Titels, die Beschreibung unter dem Bild anzeigen';
+$lang['Use arrows instead of navigation thumbnails']='Pfeile statt Vorschaubilder für die Navigation verwenden';
 $lang['Show Information tab only to admins']='Den Informations-Tab nur den Administratoren anzeigen';
 $lang['Image autosize options']='Image autosize Optionen';
Index: /trunk/plugins/LocalFilesEditor/language/de_DE/plugin.lang.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/de_DE/plugin.lang.php	(revision 11463)
+++ /trunk/plugins/LocalFilesEditor/language/de_DE/plugin.lang.php	(revision 11464)
@@ -51,4 +51,4 @@
 $lang['locfiledit_model_error'] = 'Sie müssen ein Modell wählen.';
 $lang['locfiledit_empty_filename'] = 'Sie müssen einen Dateiname eingeben.';
-/* TODO */ $lang['locfiledit_webmaster_only'] = 'Only webmasters can create or modify local files.';
+$lang['locfiledit_webmaster_only'] = 'Nur Webmaster können lokale Dateien erstellen oder editieren.';
 ?>