Index: /extensions/stripped/language/cs_CZ/index.php
===================================================================
--- /extensions/stripped/language/cs_CZ/index.php	(revision 11468)
+++ /extensions/stripped/language/cs_CZ/index.php	(revision 11468)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped/language/cs_CZ/theme.lang.php
===================================================================
--- /extensions/stripped/language/cs_CZ/theme.lang.php	(revision 11468)
+++ /extensions/stripped/language/cs_CZ/theme.lang.php	(revision 11468)
@@ -0,0 +1,27 @@
+<?php
+
+$lang['Show/hide menu'] = 'Zobrazit/skrýt menu';
+$lang['Description'] = 'Popis';
+$lang['Information'] = 'Informace';
+$lang['GMap'] = 'Mapa';
+
+$lang['Interface options']='Nabídka rozhraní';
+$lang['Hide menu by default on category page']='Skrýt menu na stránce kategorií';
+$lang['Animate menu']='Animované menu';
+$lang['Animate tabs on picture page']='Animované tabulky na stránce fotografie';
+$lang['Replace all icons by ALT text']='Přepsat všechny ikonky ALT textem';
+$lang['Force text to lowercase']='Vnutit textu malá písmena';
+$lang['Show thumbnail legend']='Zobrazit popis náhledu';
+$lang['Picture page options']='Nabídka na stránce fotografie';
+$lang['Show image title on top of the page (after browse path)']='Zobrazit název fotografie na horní části stránky (za vyhledávací cestou)';
+$lang['Show description instead of title below image']='Zobrazit pod fotografií popis místo názvu';
+$lang['Use arrows instead of navigation thumbnails']='Navigace pomocí šipek místo náhledů';
+$lang['Show Information tab only to admins']='Zobrazit informační tabulku jen pro administrátory';
+$lang['Image autosize options']='Nabídka automatické velikosti fotografie';
+$lang['Resize image to fit window']='Změna velikosti fotografie podle velikosti okna';
+$lang['Include title after resize']='Zahrnout i název po změně velikosti';
+$lang['Additional bottom margin after resize']='Volitelné tlačítko okraje po změně velikosti';
+$lang['Minimum image height after resize']='Minimální výška fotky po změně velikosti';
+$lang['stripped Configuration updated']='Konfigurace tématu Stripped aktualizována';
+
+?>