Index: extensions/TweetThis/admin.tpl
===================================================================
--- extensions/TweetThis/admin.tpl	(revision 11475)
+++ extensions/TweetThis/admin.tpl	(revision 11476)
@@ -72,5 +72,5 @@
     
     <li>
-      <span class="property">{'Link position'|@translate}</span>
+      <span class="property">{'Button position on picture page'|@translate}</span>
       <label><input type="radio" name="position" value="top" {if $position == 'top'}checked="checked"{/if}/> {'Top'|@translate}</label>
       <label><input type="radio" name="position" value="bottom" {if $position == 'bottom'}checked="checked"{/if}/> {'Bottom'|@translate}</label>
Index: extensions/TweetThis/language/en_UK/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/en_UK/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/en_UK/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Button position';
+$lang['Button position on picture page'] = 'Button position on picture page';
 $lang['Top'] = 'Top';
 $lang['Bottom'] = 'Bottom';
Index: extensions/TweetThis/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/fr_FR/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/fr_FR/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Position du bouton';
+$lang['Button position on picture page'] = 'Position du bouton sur la page image';
 $lang['Top'] = 'Haut';
 $lang['Bottom'] = 'Bas';
Index: extensions/TweetThis/language/it_IT/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/it_IT/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/it_IT/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Posizione del pulzante';
+$lang['Button position on picture page'] = 'Posizione del pulzante';
 $lang['Top'] = 'Alto';
 $lang['Bottom'] = 'Basso';
Index: extensions/TweetThis/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/lv_LV/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/lv_LV/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Pogas atrašanās vieta';
+$lang['Button position on picture page'] = 'Pogas atrašanās vieta';
 $lang['Top'] = 'Augšā';
 $lang['Bottom'] = 'Apakšā';
Index: extensions/TweetThis/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/nl_NL/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/nl_NL/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Knop locatie';
+$lang['Button position on picture page'] = 'Knop locatie';
 $lang['Top'] = 'Boven';
 $lang['Bottom'] = 'Onder';
Index: extensions/TweetThis/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/ru_RU/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/ru_RU/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Положение кнопки';
+$lang['Button position on picture page'] = 'Положение кнопки';
 $lang['Top'] = 'Сверху';
 $lang['Bottom'] = 'Внизу';
Index: extensions/TweetThis/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/sk_SK/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/sk_SK/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Umiestnenie tlačidla';
+$lang['Button position on picture page'] = 'Umiestnenie tlačidla';
 $lang['Top'] = 'Hore';
 $lang['Bottom'] = 'Dole';
Index: extensions/TweetThis/language/sv_SE/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/sv_SE/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/sv_SE/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Knappens position';
+$lang['Button position on picture page'] = 'Knappens position';
 $lang['Top'] = 'Topp';
 $lang['Bottom'] = 'Botten';
Index: extensions/TweetThis/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/TweetThis/language/tr_TR/plugin.lang.php	(revision 11475)
+++ extensions/TweetThis/language/tr_TR/plugin.lang.php	(revision 11476)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Link position'] = 'Buton konumu';
+$lang['Button position on picture page'] = 'Resim sayfasindaki buton konumu';
 $lang['Top'] = 'Üst';
 $lang['Bottom'] = 'Alt';